Page MenuHomePhabricator

Add abuse filter modification access for global filters to sysops on metawiki
Closed, ResolvedPublic

Description

Please ADD the "abusefilter-modify-global" permission to the sysop user group on metawiki.

A community discussion (https://meta.wikimedia.org/w/index.php?title=Requests_for_comment/2018_Allow_meta_admins_access_to_global_abuse_filter&oldid=17960608) was held to approve this change.

Event Timeline

Xaosflux created this task.Apr 22 2018, 1:13 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 22 2018, 1:13 AM
Xaosflux triaged this task as Normal priority.Apr 22 2018, 1:14 AM
Xaosflux moved this task from Untriaged to Low priority on the Stewards-and-global-tools board.
Matiia added a subscriber: Matiia.Apr 22 2018, 1:16 AM
MarcoAurelio added a subscriber: MarcoAurelio.

I'll handle this.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptApr 22 2018, 7:30 AM
Base added a subscriber: Base.Apr 22 2018, 2:54 PM
MarcoAurelio lowered the priority of this task from Normal to Low.Apr 22 2018, 10:07 PM
MarcoAurelio moved this task from unsorted/backlog to working on on the User-MarcoAurelio board.

Change 428290 had a related patch set (by MarcoAurelio) published:
[operations/mediawiki-config@master] Grant Meta-Wiki sysops the ability to edit global abusefilter rules

https://gerrit.wikimedia.org/r/428290

Change 428290 merged by jenkins-bot:
[operations/mediawiki-config@master] Grant Meta-Wiki sysops the ability to edit global abusefilter rules

https://gerrit.wikimedia.org/r/428290

Mentioned in SAL (#wikimedia-operations) [2018-04-24T14:01:27Z] <hoo@tin> Synchronized wmf-config/abusefilter.php: Grant Meta-Wiki sysops the ability to edit global abusefilter rules (T192722) (duration: 00m 59s)

hoo closed this task as Resolved.Apr 24 2018, 2:03 PM
hoo removed a project: Patch-For-Review.
hoo added a subscriber: hoo.

Change deployed